package vio.util;

import java.awt.*;
import java.awt.event.*;
import vio.tracker.*;

public class trackerInfoDialog extends Dialog {

	public trackerInfoDialog(Frame parent,TrackerInfo myTrackerInfo)
	{
		super(parent, true);
		setLayout(null);
		setVisible(false);
		setSize(210,100);
		setLocation(215,190);
		setBackground(new Color(12632256));
		setTitle("info...");

		serialNr = Integer.toString(myTrackerInfo.serialNumber);
		hardNr = Float.toString(myTrackerInfo.hardwareVersion);
		firmNr = Float.toString(myTrackerInfo.firmwareVersion);
		
		headlineLabel = new Label("Virtual-io Headtracker",Label.LEFT);
		headlineLabel.setBounds(10,25,190,20);
		headlineLabel.setFont(new Font("Dialog", Font.BOLD, 18));
		add(headlineLabel);
		
		serialLabel = new Label("SerialNumber:",Label.LEFT);
		serialLabel.setBounds(10,50,85,15);
		serialLabel.setFont(new Font("Dialog", Font.BOLD, 12));
		add(serialLabel);

		serialNrLabel = new Label(serialNr,Label.LEFT);
		serialNrLabel.setBounds(100,50,40,15);
		add(serialNrLabel);
		
		hardLabel = new Label("HardwareVers:",Label.LEFT);
		hardLabel.setBounds(10,65,85,15);
		hardLabel.setFont(new Font("Dialog", Font.BOLD, 12));
		add(hardLabel);

		hardNrLabel = new Label(hardNr,Label.LEFT);
		hardNrLabel.setBounds(100,65,40,15);
		add(hardNrLabel);

		firmLabel = new Label("FirmwareVers:",Label.LEFT);
		firmLabel.setBounds(10,80,85,15);
		firmLabel.setFont(new Font("Dialog", Font.BOLD, 12));
		add(firmLabel);
		
		firmNrLabel = new Label(firmNr,Label.LEFT);
		firmNrLabel.setBounds(100,80,40,15);
		add(firmNrLabel);
		
		okButton = new Button();
		okButton.setLabel("OK");
		okButton.setBounds(145,70,50,25);
		add(okButton);
		
		addWindowListener (
			new WindowAdapter () {
				public void windowClosing (WindowEvent evt) {
					dispose();
		        	}
		      	}
		);

		okButton.addActionListener (
			new ActionListener () {
				public void actionPerformed (ActionEvent evt) {
					dispose();
		        	}
		      	}
		);
	}
	
	private Label headlineLabel;
	private Label serialLabel,serialNrLabel;
	private Label hardLabel,hardNrLabel;
	private Label firmLabel, firmNrLabel;
	
	private String serialNr = "";
	private String hardNr = "";
	private String firmNr = "";
	
	private Button okButton;
}
