package modin.util;

import java.awt.*;
import java.awt.event.*;

public class aboutDialog extends Dialog {

	public aboutDialog(Frame parent, String title, boolean modal)
	{
		super(parent, modal);
		setLayout(null);
		setVisible(false);
		setSize(240,120);
		setLocation(220,180);
		setBackground(new Color(12632256));
		setResizable(false);
		setTitle(title);
		
		headlineLabel = new Label("aboutDialog",Label.CENTER);
		headlineLabel.setBounds(10,25,220,20);
		headlineLabel.setFont(new Font("Dialog", Font.BOLD, 18));
		add(headlineLabel);
		
		copyrightLabel = new Label("(c) 2002 by Martin Kaltenbrunner",Label.CENTER);
		copyrightLabel.setBounds(10,50,220,15);
		add(copyrightLabel);
		
		urlLabel = new Label("http://modin.yuri.at/",Label.CENTER);
		urlLabel.setBounds(10,65,220,15);
		add(urlLabel);
		
		okButton = new Button();
		okButton.setLabel("OK");
		okButton.setBounds(75,85,90,25);
		add(okButton);

	
		addWindowListener (
			new WindowAdapter () {
				public void windowClosing (WindowEvent evt) {
		        		dispose();
		        	}
		      	}
		);

		okButton.addActionListener (
			new ActionListener () {
				public void actionPerformed (ActionEvent evt) {
		        		dispose();
		        	}
		      	}
		);
	}

	public void setHeadline(String headline) {
		headlineLabel.setText(headline);
	}
	
	public void setCopyright(String copyright) {
		copyrightLabel.setText(copyright);
	}

	public void setUrl(String url) {
		urlLabel.setText(url);
	}
	
	private Label headlineLabel;
	private Label copyrightLabel;
	private Label urlLabel;
	private Button okButton;
}
